{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Run CG-Viewer",
            "type": "shell",
            "command": "framework/bin/unix/cgv_viewer",
            "problemMatcher": [],
            "args": [
                "plugin:cg_fltk.cgv",
                "plugin:CGII.cgv",
                "plugin:crg_stereo_view.cgv"
            ],
            "dependsOn": "Build CGII"
        },
        {
            "label": "Build All",
            "type": "shell",
            "command": "cd framework && sh buildLinux.sh",
            "problemMatcher": []
        },
        {
            "label": "Build CGII",
            "type": "shell",
            "command": "cd CGII/build/cmake && cmake . && make clean && make -j16 && cd ../../.. && cp CGII/build/cmake/build/bin/unix/libCGII.so framework/lib/unix/",
            "problemMatcher": []
        }
    ]
}